### Constructor

# Gtk Constraint new

#### Declaration [src]

    GtkConstraint*
    gtk_constraint_new (
      GtkConstraintTarget* target,
      GtkConstraintAttribute target_attribute,
      GtkConstraintRelation relation,
      GtkConstraintTarget* source,
      GtkConstraintAttribute source_attribute,
      double multiplier,
      double constant,
      int strength
    )

#### Description [src]

Creates a new constraint representing a relation between a layout attribute on a source and a layout attribute on a target.

#### Parameters

`target`

  Type: `GtkConstraintTarget`

  The target of the constraint.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`target_attribute`

  Type: `GtkConstraintAttribute`

  The attribute of `target` to be set.

`relation`

  Type: `GtkConstraintRelation`

  The relation equivalence between `target_attribute` and `source_attribute`.

`source`

  Type: `GtkConstraintTarget`

  The source of the constraint.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`source_attribute`

  Type: `GtkConstraintAttribute`

  The attribute of `source` to be read.

`multiplier`

  Type: `double`

  A multiplication factor to be applied to `source_attribute`.

`constant`

  Type: `double`

  A constant factor to be added to `source_attribute`.

`strength`

  Type: `int`

  The strength of the constraint.

#### Return value

Type: `GtkConstraint`

The newly created constraint.

The caller of the function takes ownership of the data, and is responsible for freeing it.